com.mockobjects.sql

## Class ExpectationSqlRow

- java.lang.Object
- - com.mockobjects.sql.ExpectationSqlRow

- All Implemented Interfaces:
    Verifiable

      public class ExpectationSqlRow
      extends java.lang.Object
      implements Verifiable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpectationSqlRow(java.lang.String name)`
    `ExpectationSqlRow(java.lang.String name, java.lang.Object[] indexedValues)`
    `ExpectationSqlRow(java.lang.String name, java.lang.String[] columnNames, java.lang.Object[] values)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExpectedIndexedValues(java.lang.Object[] indexedValues)`
    `void` | `addExpectedNamedValues(java.util.Map map)`
    `void` | `addExpectedNamedValues(java.lang.String[] columnNames, java.lang.Object[] someValues)`
    `java.lang.Object` | `get(int oneBasedIndex)`
    `java.lang.Object` | `get(java.lang.Object key)`
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpectationSqlRow

          public ExpectationSqlRow(java.lang.String name)

    - #### ExpectationSqlRow

          public ExpectationSqlRow(java.lang.String name,
                                   java.lang.Object[] indexedValues)

    - #### ExpectationSqlRow

          public ExpectationSqlRow(java.lang.String name,
                                   java.lang.String[] columnNames,
                                   java.lang.Object[] values)

  - ### Method Detail

    - #### addExpectedIndexedValues

          public void addExpectedIndexedValues(java.lang.Object[] indexedValues)

    - #### addExpectedNamedValues

          public void addExpectedNamedValues(java.util.Map map)

    - #### addExpectedNamedValues

          public void addExpectedNamedValues(java.lang.String[] columnNames,
                                             java.lang.Object[] someValues)

    - #### get

          public java.lang.Object get(int oneBasedIndex)
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### get

          public java.lang.Object get(java.lang.Object key)
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met.
      Specified by:
        `verify` in interface `Verifiable`

Copyright © 2002 Mock Objects. All Rights Reserved.